summarylogtreecommitdiffstats
path: root/fmedia.sh
diff options
context:
space:
mode:
authorzxp198210052024-01-19 12:32:00 +0800
committerzxp198210052024-01-19 12:32:00 +0800
commit3622ff62183a925734131b0dbd2ee3390d978a6a (patch)
treed3b322472377b23baa95b1231e011881df8e5a31 /fmedia.sh
parentab6f880cca5cb249c3aa49902beb8e3e3deca4ef (diff)
downloadaur-3622ff62183a925734131b0dbd2ee3390d978a6a.tar.gz
fix errors
Diffstat (limited to 'fmedia.sh')
-rw-r--r--fmedia.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/fmedia.sh b/fmedia.sh
index b3bddd12409c..f553b663d251 100644
--- a/fmedia.sh
+++ b/fmedia.sh
@@ -1,8 +1,8 @@
#!/bin/sh
set -e
_APPDIR=/opt/@appname@
-_APPNAME=@runappname@
+_RUNNAME="${_APPDIR}/@runname@"
export PATH="${_APPDIR}:${PATH}"
-export LD_LIBRARY_PATH="${_APPDIR}/mod:${LD_LIBRARY_PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}:${_APPDIR}/mod:${LD_LIBRARY_PATH}"
cd "${_APPDIR}"
-exec "${_APPDIR}/${_APPNAME}" "$@"
+exec "${_RUNNAME}" "$@" || exit $? \ No newline at end of file